Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class CachedConstructor

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          org.codehaus.groovy.reflection.CachedConstructor

    public class CachedConstructor

extends ParameterTypes

Author:
  Alex.Tkachman

Field Summary
`Constructor` | `cachedConstructor`

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
`CachedConstructor(CachedClass clazz, Constructor c)`
`CachedConstructor(Constructor c)`

Method Summary
`Object` | `doConstructorInvoke(Object[] argumentArray)`
`static CachedConstructor` | `find(Constructor constructor)`
`int` | `getModifiers()`
`protected Class[]` | `getPT()`
`Object` | `invoke(Object[] argumentArray)`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachedConstructor

    public final Constructor cachedConstructor

Constructor Detail

### CachedConstructor

    public CachedConstructor(CachedClass clazz,
                             Constructor c)

### CachedConstructor

    public CachedConstructor(Constructor c)

Method Detail

### getPT

    protected Class[] getPT()

  Overrides:
    `getPT` in class `ParameterTypes`

### find

    public static CachedConstructor find(Constructor constructor)

### doConstructorInvoke

    public Object doConstructorInvoke(Object[] argumentArray)

### invoke

    public Object invoke(Object[] argumentArray)

### getModifiers

    public int getModifiers()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD